#ifndef YIQWIN_H
#define YIQWIN_H

#include <string.h>
#include <sgl/transform3.h>
#include "ImageWin.h"
#include "JDImage.h"

class YIQWin : public ImageWin
{

public:  /*private*/
  JDImage yiqImage; // The image of the YIQ color space
  JDImage yiqHighQuality;  // The one we gradually build at idle time
  ImageInfo dataImage; // look up pixels in the data im to plot YIQ im
  short xselection, yselection, selectionsize; // Which pixels to look up
  long maxYIQPointsToPlot;
  
public:
  YIQWin();
  virtual ~YIQWin();

  void display();

  void rgb2yiq(Vector3 &rgb, Vector3 &yiq);
  void yiq2rgb(Vector3 &yiq, Vector3 &rgb);
  void generateYIQImage(short stepsize);
  void loadYIQImage(char *filename=NULL);
  void plotIQpoint(float i, float q);
  virtual void displayTitle();
  void idle();
  void addYIQStep(ImageInfo yiqImage, short lum);
};



#endif 

